# Users Object

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/users/

Schema for the `Users` resource in **Unified Knowledge Base API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a user
- **`external_id`** _(string)_
  The external identifier for a user. This is set when the SCIM API is being used.
- **`identifiers`** _(object)_
  The identifiers of the user.
- **`first_name`** _(string)_
  The first name of the user
- **`last_name`** _(string)_
  The last name of the user
- **`title`** _(string)_
  The title of the user
- **`name`** _(string)_
  The name of the user
- **`username`** _(string)_
  The username of the user
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`status`** _(string)_
  The status of the user. If no clear mapping is available, then the raw value is returned.
  Allowed: `active`, `inactive`, `deleted`, `invited`
- **`is_email_verified`** _(boolean)_
  Whether the user's email has been verified
- **`is_2fa_enabled`** _(boolean)_
  Whether the user has 2FA enabled
- **`roles`** _(array<object>)_
  The roles of the user
  - **`id`** _(string)_
    The unique identifier for a role
  - **`name`** _(string)_
    The name of the role
  - **`group`** _(string)_
    The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
  - **`organization`** _(string)_
    The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
  - **`workspace`** _(string)_
    The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
- **`organizations`** _(array<object>)_
  The organizations of the user
  - **`id`** _(string)_
    The unique identifier for an organization
  - **`name`** _(string)_
    The name of the organization
- **`user_type`** _(string)_
  The type of user
- **`licenses`** _(array<object>)_
  The licenses of the user or the products the user has access to
  - **`id`** _(string)_
    The unique identifier for a license
  - **`name`** _(string)_
    The name of the license
  - **`organization`** _(string)_
    The unique identifier of the organization to which the license belongs
  - **`last_active_at`** _(string)_
    The date and time the user was last active for the license
- **`groups`** _(array<object>)_
  The groups of the user
  - **`id`** _(string)_
    The unique identifier for a group
  - **`name`** _(string)_
    The name of the group
  - **`organization`** _(string)_
    The unique identifier of the organization to which the group belongs
- **`workspaces`** _(array<object>)_
  The workspaces of the user
  - **`id`** _(string)_
    The unique identifier for a workspace
  - **`name`** _(string)_
    The name of the workspaces
- **`avatar`** _(string)_
  The avatar of the user
- **`timezone`** _(string)_
  The timezone of the user
- **`languages`** _(array<string>)_
  The languages preferred by the user
- **`bio`** _(string)_
  The bio of the user. Usually a short description set by the user about them.
- **`created_at`** _(string)_
  The date and time the user was created
- **`updated_at`** _(string)_
  The date and time the user was last updated
- **`last_active_at`** _(string)_
  The date and time the user was last active
- **`last_login_at`** _(string)_
  The date and time the user was last logged in
- **`status_changed_at`** _(string)_
  The date and time the user's status was last changed
- **`activated_at`** _(string)_
  The date and time the user was activated
- **`urls`** _(array<object>)_
  The URLs of the user
  - **`url`** _(string)_
    The URL
  - **`type`** _(string)_
    The type of URL
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/knowledge-base/users/{id}](/docs/api-reference/unified-knowledge-base-api/users/get) — Get Users
- [GET /unified/knowledge-base/users](/docs/api-reference/unified-knowledge-base-api/users/list) — List Users
